You are not logged in.

#1 2004-09-08 09:27:39

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

what kde says about gcc 3.4.2

kde-config: /usr/lib/libstdc++.so.6: no version information available (required by kde-config)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by kde-config)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdecore.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdecore.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libDCOP.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libDCOP.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdefx.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdefx.so.4)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/lib/libqt-mt.so.3)
kde-config: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/lib/libqt-mt.so.3)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by artsmessage)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdeui.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdeui.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdecore.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdecore.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libDCOP.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libDCOP.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdefx.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/kde/lib/libkdefx.so.4)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/lib/libqt-mt.so.3)
artsmessage: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/lib/libqt-mt.so.3)

but it seem everything works fine, so i'm not complaining ;-)


The impossible missions are the only ones which succeed.

Offline

#2 2004-09-08 11:00:31

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,260

Re: what kde says about gcc 3.4.2

hi
added a bug
you cannot compile qt related things
after kernel hell now gcc hell jippie ;-)
qt cannot be recompiled
now i try xorg first
then qt and then we will see

Offline

#3 2004-09-08 11:05:04

ghostwalker
Member
From: Tacoma, WA
Registered: 2004-07-28
Posts: 140

Re: what kde says about gcc 3.4.2

I get a simular error with firefox. I just compiled Xorg 6.8 with same warning messages.


P4 2.8Ghz @ 2.8Ghz SL6WT
Zalman CNPS7000-Cu
865PE Neo-2 LS BIOs 2.4
512mb Mushkin Level II
160GB Maxtor HD
Geforce 4 440MX
Antec 3700 1 exhaust and 1 intake fans
Linux 2.6.x
Linux user 314187
ArchLinux

Offline

#4 2004-09-08 13:17:27

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: what kde says about gcc 3.4.2

tpowa wrote:

hi
added a bug
you cannot compile qt related things
after kernel hell now gcc hell jippie ;-)
qt cannot be recompiled
now i try xorg first
then qt and then we will see

i really liked 3.4.1 (compared to 3.4.2, it was really great! ;-) )

http://gcc.gnu.org/gcc-3.4/changes.html#3.4.2

but

http://gcc.gnu.org/ml/gcc/2004-08/msg01117.html

:cry:


The impossible missions are the only ones which succeed.

Offline

#5 2004-09-08 13:26:47

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,260

Re: what kde says about gcc 3.4.2

good news ;-)
xorg cannot be recompiled
grrrrrrrrrrrrr

Offline

#6 2004-09-08 20:30:48

Abaddon
Member
From: Poland
Registered: 2004-05-03
Posts: 222

Re: what kde says about gcc 3.4.2

/opt/qt/bin/moc: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/bin/moc)
/opt/qt/bin/moc: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/bin/moc)

I see it often... I'm compilling kadu (polish instant massanger).


Gnome - The weakest link!
Linux, *not* GNU/Linux!

Offline

#7 2004-09-09 04:26:47

Xentac
Forum Fellow
From: Victoria, BC
Registered: 2003-01-17
Posts: 1,797
Website

Re: what kde says about gcc 3.4.2

Is xorg getting an error message related to fakeroot?  Because you can't build xorg (same with xfree86) with fakeroot, it just doesn't work.


I have discovered that all of mans unhappiness derives from only one source, not being able to sit quietly in a room
- Blaise Pascal

Offline

#8 2004-09-09 12:44:26

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: what kde says about gcc 3.4.2

kde crash handler freezes whole machine -> kde needs rebuild probably :-(


The impossible missions are the only ones which succeed.

Offline

#9 2004-09-09 13:09:03

dtw
Forum Fellow
From: London, UK
Registered: 2004-08-03
Posts: 4,428
Website

Re: what kde says about gcc 3.4.2

i think a warning not to upgrade gcc on the home page might be a good idea then!

Offline

#10 2004-09-10 12:46:27

Abaddon
Member
From: Poland
Registered: 2004-05-03
Posts: 222

Re: what kde says about gcc 3.4.2

Abaddon wrote:
/opt/qt/bin/moc: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/bin/moc)
/opt/qt/bin/moc: /usr/lib/libstdc++.so.6: no version information available (required by /opt/qt/bin/moc)

I see it often... I'm compilling kadu (polish instant massanger).

Will it be fixed?


Gnome - The weakest link!
Linux, *not* GNU/Linux!

Offline

#11 2004-09-10 12:50:50

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,260

Re: what kde says about gcc 3.4.2

i test it at the moment ...
i recompiled qt and kdelibs and now kdebase
whole kde needs a rebuilt
needs some time and will be fixed as soon as possible

Offline

#12 2004-09-10 14:45:26

Abaddon
Member
From: Poland
Registered: 2004-05-03
Posts: 222

Re: what kde says about gcc 3.4.2

Roger that :]


Gnome - The weakest link!
Linux, *not* GNU/Linux!

Offline

#13 2004-09-10 15:07:57

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,260

Re: what kde says about gcc 3.4.2

need more time the current solution is not really ideal
only a workaround
sorry for that
kde/new xorg don't like each other :-(

Offline

Board footer

Powered by FluxBB